from harvester import Harvester
import urlparse

class WgetHarvester(Harvester):
    def _getCutAmount(self):
        # detect how many directories we have in the URL we need to cut off
        # to get to publication root

        # get path component of URL
        path = urlparse.urlparse(self.url)[2]
        # split this on '/' and count all non-empty segments
        return len([segment for segment in path.split('/') if segment])

    def getCommand(self):
        return ('wget --quiet -nH -r --no-parent --no-clobber '
                '--convert-links '
                '--directory-prefix=%s --cut-dirs=%s %s' %
                (self.directory, self._getCutAmount(), self.url))
